> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Non-Salary Payments

> Calculate TDS payable on non-salary payments by providing the relevant details.



## OpenAPI

````yaml api-reference/tds/calculator/openapi.json POST /tds/calculator/non-salary
openapi: 3.0.0
info:
  title: calculator
  version: 1.0.0
  description: ''
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
paths:
  /tds/calculator/non-salary:
    post:
      tags:
        - Non-salary Payments
      summary: Calculate TDS on Non-Salary Payments
      parameters:
        - name: x-api-key
          in: header
          required: true
          description: API key for identification
          deprecated: false
          schema:
            type: string
        - name: authorization
          in: header
          required: true
          description: JWT access token
          deprecated: false
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API Version
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '@entity':
                  type: string
                  enum:
                    - in.co.sandbox.tds.calculator.non_salary.request
                deductee_type:
                  description: >-
                    Type of Deductee Possible Values: individual, huf, company,
                    firm, trust, local_authority, body_of_individuals,
                    association_of_persons, artificial_judicial_person
                  type: string
                is_pan_available:
                  description: >-
                    Is the PAN available with the deductee? Possible Values:
                    true, or false,
                  type: boolean
                residential_status:
                  description: >-
                    Residential Status of the deductee. Possible Values:
                    resident or non_resident
                  type: string
                is_206ab_applicable:
                  description: >-
                    Whether the deductee is a specified person u/s 206ab.
                    Possible Values: true or false
                  type: boolean
                is_pan_operative:
                  description: >-
                    Whether the PAN of the deductee is Operative. Possible
                    Values: true or false
                  type: boolean
                nature_of_payment:
                  description: >-
                    Type of the payment being made. Refer to Nature of Payments
                    for enums
                  type: string
                credit_amount:
                  description: Payment amount (in INR)
                  type: integer
                credit_date:
                  description: Date of payment in EPOCH
                  type: integer
              required:
                - '@entity'
                - deductee_type
                - is_pan_available
                - residential_status
                - is_206ab_applicable
                - is_pan_operative
                - nature_of_payment
                - credit_amount
                - credit_date
            examples:
              200 TDS Calculated for 194BA:
                value:
                  '@entity': in.co.sandbox.tds.calculator.non_salary.request
                  deductee_type: individual
                  is_pan_available: true
                  residential_status: resident
                  is_206ab_applicable: false
                  is_pan_operative: false
                  nature_of_payment: winnings_from_online_games
                  credit_amount: 84232
                  credit_date: 1694131200000
              200 TDS Calculated for 195:
                value:
                  '@entity': in.co.sandbox.tds.calculator.non_salary.request
                  deductee_type: body_of_individuals
                  is_pan_available: true
                  residential_status: non_resident
                  is_206ab_applicable: false
                  is_pan_operative: true
                  nature_of_payment: fees_for_technical_service
                  credit_amount: 25000
                  credit_date: 1699315200000
              200 TDS Calculated for  194LC:
                value:
                  '@entity': in.co.sandbox.tds.calculator.non_salary.request
                  deductee_type: individual
                  is_pan_available: true
                  residential_status: non_resident
                  is_206ab_applicable: false
                  is_pan_operative: true
                  nature_of_payment: interest_payment_from_indian_company_or_business_trust
                  credit_amount: 7423
                  credit_date: 1696636800000
              200 TDS Calculated for 194C:
                value:
                  '@entity': in.co.sandbox.tds.calculator.non_salary.request
                  deductee_type: individual
                  is_pan_available: true
                  residential_status: resident
                  is_206ab_applicable: true
                  is_pan_operative: true
                  nature_of_payment: sales_and_marketing_services
                  credit_amount: 250000
                  credit_date: 1699315200000
              200 TDS Calculated for 194C (2):
                value:
                  '@entity': in.co.sandbox.tds.calculator.non_salary.request
                  deductee_type: company
                  is_pan_available: false
                  residential_status: resident
                  is_206ab_applicable: false
                  is_pan_operative: false
                  nature_of_payment: tender_fees
                  credit_amount: 90500
                  credit_date: 1685577600000
                summary: 200 TDS Calculated for 194C
              422 - Unprocessable Entity:
                value:
                  '@entity': in.co.sandbox.tds.calculator.non_salary.request
                  deductee_type: individual
                  is_pan_available: true
                  residential_status: nonresident
                  is_206ab_applicable: false
                  is_pan_operative: false
                  nature_of_payment: cash_withdrawal
                  credit_amount: 12000001
                  credit_date: 1699315200000
              400 Request body not valid:
                value:
                  deductee_type: individual
                  is_pan_available: true
                  residential_status: non_resident
                  is_206ab_applicable: false
                  is_pan_operative: false
                  nature_of_payment: cash_withdrawal
                  credit_amount: 12000001
                  credit_date: 1699315200000
              422 Missing deductee type:
                value:
                  '@entity': in.co.sandbox.tds.calculator.non_salary.request
                  is_pan_available: true
                  residential_status: non_resident
                  is_206ab_applicable: false
                  is_pan_operative: false
                  nature_of_payment: cash_withdrawal
                  credit_amount: 12000001
                  credit_date: 1699315200000
              422 Invalid deductee type:
                value:
                  '@entity': in.co.sandbox.tds.calculator.non_salary.request
                  deductee_type: individuala
                  is_pan_available: true
                  residential_status: non_resident
                  is_206ab_applicable: false
                  is_pan_operative: false
                  nature_of_payment: cash_withdrawal
                  credit_amount: 12000001
                  credit_date: 1699315200000
              422 Missing pan available:
                value:
                  '@entity': in.co.sandbox.tds.calculator.non_salary.request
                  deductee_type: individual
                  residential_status: non_resident
                  is_206ab_applicable: false
                  is_pan_operative: false
                  nature_of_payment: cash_withdrawal
                  credit_amount: 12000001
                  credit_date: 1699315200000
              422 Missing residential status:
                value:
                  '@entity': in.co.sandbox.tds.calculator.non_salary.request
                  deductee_type: individual
                  is_pan_available: true
                  is_206ab_applicable: false
                  is_pan_operative: false
                  nature_of_payment: cash_withdrawal
                  credit_amount: 12000001
                  credit_date: 1699315200000
              422 Invalid residential status:
                value:
                  '@entity': in.co.sandbox.tds.calculator.non_salary.request
                  deductee_type: individual
                  is_pan_available: true
                  residential_status: non_resident_
                  is_206ab_applicable: false
                  is_pan_operative: false
                  nature_of_payment: cash_withdrawal
                  credit_amount: 12000001
                  credit_date: 1699315200000
              422 Missing nature of payment:
                value:
                  '@entity': in.co.sandbox.tds.calculator.non_salary.request
                  deductee_type: individual
                  is_pan_available: true
                  residential_status: non_resident
                  is_206ab_applicable: false
                  is_pan_operative: false
                  credit_amount: 12000001
                  credit_date: 1699315200000
              422 Invalid nature of payment:
                value:
                  '@entity': in.co.sandbox.tds.calculator.non_salary.request
                  deductee_type: individual
                  is_pan_available: true
                  residential_status: non_resident
                  is_206ab_applicable: false
                  is_pan_operative: false
                  nature_of_payment: cash_withdrawal_
                  credit_amount: 12000001
                  credit_date: 1699315200000
              422 Credit amount cannot be negative:
                value:
                  '@entity': in.co.sandbox.tds.calculator.non_salary.request
                  deductee_type: individual
                  is_pan_available: true
                  residential_status: non_resident
                  is_206ab_applicable: false
                  is_pan_operative: false
                  nature_of_payment: cash_withdrawal_
                  credit_amount: -12000001
                  credit_date: 1699315200000
              422 Missing credit amount:
                value:
                  '@entity': in.co.sandbox.tds.calculator.non_salary.request
                  deductee_type: individual
                  is_pan_available: true
                  residential_status: non_resident
                  is_206ab_applicable: false
                  is_pan_operative: false
                  nature_of_payment: cash_withdrawal
                  credit_date: 1699315200000
              422 Missing credit date:
                value:
                  '@entity': in.co.sandbox.tds.calculator.non_salary.request
                  deductee_type: individual
                  is_pan_available: true
                  residential_status: non_resident
                  is_206ab_applicable: false
                  is_pan_operative: false
                  nature_of_payment: cash_withdrawal
                  credit_amount: 12000001
              500 Reference data not found:
                value:
                  '@entity': in.co.sandbox.tds.calculator.non_salary.request
                  deductee_type: individual
                  is_pan_available: true
                  residential_status: non_resident
                  is_206ab_applicable: false
                  is_pan_operative: false
                  nature_of_payment: cash_withdrawal
                  credit_amount: 12000001
                  credit_date: 0
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  transaction_id:
                    type: string
                  code:
                    type: integer
                  data:
                    type: object
                    properties:
                      deduction_rate:
                        type: integer
                      is_206ab_applicable:
                        type: boolean
                      code:
                        type: string
                      credit_amount:
                        type: integer
                      due_date:
                        type: integer
                      deduction_amount:
                        type: integer
                      section:
                        type: string
                      is_pan_available:
                        type: boolean
                      '@entity':
                        type: string
                      credit_date:
                        type: integer
                      threshold_amount:
                        type: integer
                      is_pan_operative:
                        type: boolean
                      nature_of_payment:
                        type: string
                      residential_status:
                        type: string
                      deductee_type:
                        type: string
                      category:
                        type: string
                  timestamp:
                    type: integer
              examples:
                200 TDS Calculated for 194BA:
                  value:
                    transaction_id: 71aae9a5-88ce-4228-8718-7addc8bc722d
                    code: 200
                    data:
                      deduction_rate: 30
                      is_206ab_applicable: false
                      code: 9BA
                      credit_amount: 84232
                      due_date: 1696617000000
                      deduction_amount: 25270
                      section: 194BA
                      is_pan_available: true
                      '@entity': in.co.sandbox.tds.calculator.non_salary.response
                      credit_date: 1694131200000
                      threshold_amount: 0
                      is_pan_operative: false
                      nature_of_payment: winnings_from_online_games
                      residential_status: resident
                      deductee_type: individual
                      category: others
                    timestamp: 1728541084000
                200 TDS Calculated for 195:
                  value:
                    transaction_id: 13d8a609-1def-4f1d-8a72-2ec9858d974a
                    code: 200
                    data:
                      deduction_rate: 20.8
                      is_206ab_applicable: false
                      code: '195'
                      credit_amount: 25000
                      due_date: 1701887400000
                      deduction_amount: 5200
                      section: '195'
                      is_pan_available: true
                      '@entity': in.co.sandbox.tds.calculator.non_salary.response
                      credit_date: 1699315200000
                      threshold_amount: 0
                      is_pan_operative: true
                      nature_of_payment: fees_for_technical_service
                      residential_status: non_resident
                      deductee_type: body_of_individuals
                      category: fees_for_technical_service
                    timestamp: 1728541069000
                200 TDS Calculated for  194LC:
                  value:
                    transaction_id: 0e42c0ee-456e-4149-a62c-beda50187c67
                    code: 200
                    data:
                      deduction_rate: 5.2
                      is_206ab_applicable: false
                      code: 4LC
                      credit_amount: 7423
                      due_date: 1699295400000
                      deduction_amount: 386
                      section: 194LC
                      is_pan_available: true
                      '@entity': in.co.sandbox.tds.calculator.non_salary.response
                      credit_date: 1696636800000
                      threshold_amount: 0
                      is_pan_operative: true
                      nature_of_payment: interest_payment_from_indian_company_or_business_trust
                      residential_status: non_resident
                      deductee_type: individual
                      category: interest
                    timestamp: 1728541096000
                200 TDS Calculated for 194C:
                  value:
                    transaction_id: ef8ee6f9-ad03-48ad-94a6-895a73fb9db5
                    code: 200
                    data:
                      deduction_rate: 1
                      is_206ab_applicable: true
                      code: 94C
                      credit_amount: 250000
                      due_date: 1701887400000
                      deduction_amount: 2500
                      section: 194C
                      is_pan_available: true
                      '@entity': in.co.sandbox.tds.calculator.non_salary.response
                      credit_date: 1699315200000
                      threshold_amount: 30000
                      is_pan_operative: true
                      nature_of_payment: sales_and_marketing_services
                      residential_status: resident
                      deductee_type: individual
                      category: contractual_payment
                    timestamp: 1728541002000
                200 - 200 TDS Calculated for 194C 1:
                  value:
                    transaction_id: c19ff1d2-ac79-44fc-84b5-047fd2a77ead
                    code: 200
                    data:
                      deduction_rate: 20
                      is_206ab_applicable: false
                      code: 94C
                      credit_amount: 90500
                      due_date: 1688668200000
                      deduction_amount: 18100
                      section: 194C
                      is_pan_available: false
                      '@entity': in.co.sandbox.tds.calculator.non_salary.response
                      credit_date: 1685577600000
                      threshold_amount: 0
                      is_pan_operative: false
                      nature_of_payment: tender_fees
                      residential_status: resident
                      deductee_type: company
                      category: contractual_payment
                    timestamp: 1728541021000
        '400':
          description: 400 - Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  transaction_id:
                    type: string
                  code:
                    type: integer
                  message:
                    type: string
                  timestamp:
                    type: integer
              examples:
                400 Request body not valid:
                  value:
                    transaction_id: b19fb5c2-b88d-4436-b226-d388d9a01740
                    code: 400
                    message: Request body not valid
                    timestamp: 1703168424000
        '422':
          description: 422 - Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  transaction_id:
                    type: string
                  code:
                    type: integer
                  message:
                    type: string
                  timestamp:
                    type: integer
              examples:
                422 - Unprocessable Entity:
                  value:
                    transaction_id: 4ec93582-6325-45fa-8a80-4457a4b14efa
                    code: 422
                    message: Invalid residential status
                    timestamp: 1703168329000
                422 Missing deductee type:
                  value:
                    transaction_id: 28c46f8c-fffb-40cf-b917-0b496feb36b4
                    code: 422
                    message: Missing deductee type
                    timestamp: 1703168441000
                422 Invalid deductee type:
                  value:
                    transaction_id: 5139807c-9f9c-4e87-83b7-4d60ce0c8ac0
                    code: 422
                    message: Invalid deductee type
                    timestamp: 1703168454000
                422 Missing pan available:
                  value:
                    transaction_id: 6616acff-34c0-4c73-b526-5715a8a79069
                    code: 422
                    message: Missing pan available
                    timestamp: 1703168467000
                422 Missing residential status:
                  value:
                    transaction_id: cb7c414d-1df3-47d9-a284-14598f82d78b
                    code: 422
                    message: Missing residential status
                    timestamp: 1703168499000
                422 Invalid residential status:
                  value:
                    transaction_id: 598587c6-a5ae-43d3-b2a5-c050afdf5b99
                    code: 422
                    message: Invalid residential status
                    timestamp: 1703168517000
                422 Missing nature of payment:
                  value:
                    transaction_id: a2d8cc6c-3af4-4b7e-9848-9283353e3a31
                    code: 422
                    message: Missing nature of payment
                    timestamp: 1703170833000
                422 Invalid nature of payment:
                  value:
                    transaction_id: 57773275-4f51-4987-8ce7-3f8d3b10b846
                    code: 422
                    message: Invalid nature of payment
                    timestamp: 1703170858000
                422 Credit amount cannot be negative:
                  value:
                    transaction_id: 97c41038-162e-49a7-8bb2-d8b64542f0bf
                    code: 422
                    message: Credit amount cannot be negative
                    timestamp: 1703170878000
                422 Missing credit amount:
                  value:
                    transaction_id: 70490c3b-477f-4537-b5cb-44ba7d9b612a
                    code: 422
                    message: Missing credit amount
                    timestamp: 1703170910000
                422 Missing credit date:
                  value:
                    transaction_id: 8d6f398b-0afe-4303-944e-023673a65151
                    code: 422
                    message: Missing credit date
                    timestamp: 1703170938000
        '500':
          description: 500 - Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  transaction_id:
                    type: string
                  code:
                    type: integer
                  message:
                    type: string
                  timestamp:
                    type: integer
              examples:
                500 Reference data not found:
                  value:
                    transaction_id: 03e35453-dcec-4b33-a9dc-0c4714c9efba
                    code: 500
                    message: Reference data not found
                    timestamp: 1703170954000

````